#include <iostream>

#include "hldsview.h"

int main(int argc, char *argv[]){
    try{
        HldsView hlds(argv[1], atoi(argv[2]));

        HldsView::HldsData hldsdata;

        hlds.refresh(hldsdata);

        std::cout << "Gamename: " << hldsdata.GameName << std::endl;
        std::cout << "Servername: " << hldsdata.ServerName << std::endl;
        std::cout << "Modname: " << hldsdata.ModName << std::endl;
        std::cout << "Mapname: " << hldsdata.MapName << std::endl;
        std::cout << "pwprotected: ";
        if(hldsdata.pwProtected)
            std::cout << "yes";
        else
            std::cout << "no";
        std::cout << std::endl;
        std::cout << "Players: " << hldsdata.Players  << "("
                  << hldsdata.BotsAmount << ")" << "/"
                  << hldsdata.MaxPlayers << std::endl;
    }catch(char &e){
        std::cerr << e << std::endl;
    }
}
